Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.description.java2wsdl.bytecode
Class ChainedParamReader

    java.lang.Object
      org.apache.axis2.description.java2wsdl.bytecode.ChainedParamReader

    public class ChainedParamReader

extends java.lang.Object

Description: In ParamReader class, user cannot get inherited method parameter from the class they passed in for performance reasons This class is walks up the inheritance chain. If the method is not found in the derived class, search in super class. If not found in the immedidate super class, search super class's super class, until the root, which is java.lang.Object, is reached. This is not an eager load since it only start searching the super class when it is asked to.

Constructor Summary
`ChainedParamReader(java.lang.Class cls)` Processes a given class's parameter names.

Method Summary
`java.lang.String[]` | `getParameterNames(java.lang.reflect.Constructor ctor)` Returns the names of the declared parameters for the given constructor.
`java.lang.String[]` | `getParameterNames(java.lang.reflect.Method method)` Returns the names of the declared parameters for the given method.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ChainedParamReader

    public ChainedParamReader(java.lang.Class cls)
                       throws java.io.IOException

  Processes a given class's parameter names.

  Parameters:
    `cls` - the class which user wants to get parameter info from
  Throws:
    `java.io.IOException`

Method Detail

### getParameterNames

    public java.lang.String[] getParameterNames(java.lang.reflect.Constructor ctor)

  Returns the names of the declared parameters for the given constructor. If we cannot determine the names, return null. The returned array will have one name per parameter. The length of the array will be the same as the length of the Class[] array returned by Constructor.getParameterTypes().

  Parameters:
    `ctor` -
  Returns:
    Returns array of names, one per parameter, or null

### getParameterNames

    public java.lang.String[] getParameterNames(java.lang.reflect.Method method)

  Returns the names of the declared parameters for the given method. If cannot determine the names in the current class, search its parent class until we reach java.lang.Object. If still can not find the method, returns null. The returned array has one name per parameter. The length of the array will be the same as the length of the Class[] array returned by Method.getParameterTypes().

  Parameters:
    `method` -
  Returns:
    String[] Returns array of names, one per parameter, or null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.